<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>ru.entaxy.esb.platform.runtime.core.objects-implementations</groupId>
        <artifactId>service-implementation</artifactId>
        <version>1.10.1</version>
    </parent>
    <groupId>ru.entaxy.esb.platform.runtime.core.objects-implementations.service-implementation</groupId>
    <artifactId>service-producing</artifactId>
    <packaging>bundle</packaging>
    <name>ENTAXY :: PLATFORM :: CORE :: OBJECTS IMPLEMENTATIONS :: SERVICE :: PRODUCING</name>
    <description>ENTAXY :: PLATFORM :: CORE :: OBJECTS IMPLEMENTATIONS :: SERVICE :: PRODUCING</description>

    <properties>
        <bundle.osgi.export.pkg>
            ru.entaxy.platform.core.objects.service.producing
        </bundle.osgi.export.pkg>
    </properties>

    <dependencies>
        <dependency>
            <groupId>
                ru.entaxy.esb.platform.runtime.core.object-producing
            </groupId>
            <artifactId>object-producer-api</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>
                ru.entaxy.esb.platform.runtime.core.object-producing
            </groupId>
            <artifactId>object-producer-core</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>
                ru.entaxy.esb.platform.runtime.base.objects-base
            </groupId>
            <artifactId>object-factory</artifactId>
            <version>${project.version}</version>
        </dependency>

        <dependency>
            <groupId>org.hibernate</groupId>
            <artifactId>hibernate-validator</artifactId>
            <version>5.0.2.Final</version>
        </dependency>

        <dependency>
            <groupId>org.apache.cxf</groupId>
            <artifactId>cxf-rt-rs-security-oauth2</artifactId>
            <version>${cxf.version}</version>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.felix</groupId>
                <artifactId>maven-bundle-plugin</artifactId>
                <extensions>true</extensions>
                <configuration>
                    <instructions>
                        <Entaxy-Factory-Provider>true</Entaxy-Factory-Provider>
                        <Entaxy-Template-Provider>true</Entaxy-Template-Provider>
                        <Entaxy-Resource-Provider>true</Entaxy-Resource-Provider>
                    </instructions>
                </configuration>
            </plugin>
        </plugins>
    </build>

</project>
